Search the Community
Showing results for tags '[lisp]'.
-
Hi, I need a function to offset any object for a distance X without indicating the point. The function must self find the point. For example: (defun c:set_offset (entObj set_dist side) ... ) where: entObj - (car(entsel)) set_dist - eg. 150.0 side - 0 or 1 where 0 - inside, 1 - outside Now I draw to offset line for any object: I have two points from LWPOLYLINE, and function "polar" +/- 90 degree, distance 0.1 For CIRCLE and ARC I have center point +/- radius, distance 0.1 etc. and then check the length of the line. If I want inside - the shortest If I want outside - the longest Do you have any idea how to write the function, and simple way how to find a two points for any object? Or maybe other way... to offset the objects? best regards, Z
-
Hi, I have problem to find any point inside closed polyline. The point can't be on edge this polyline. I found example: http://docs.autodesk.com/ACDMAC/2011/ENU/ObjectARX%20Reference/index.html?frmname=topic&frmfile=AcString.html but this is for ARX application and I need for Lisp. The polyline can be any shape eg. http://forum.cad.pl/download/file.php?id=1622&t=1 - figure on top I have tried with triangles or intersection but without result... Have someone have any idea?